MozillaZine

Thunderbird 45.2 and Lightning 4.7 (Linux)

For discussing the Mozilla Calendar, Sunbird and Lightning projects.
daavid1
 
Posts: 15
Joined: May 28th, 2013, 12:15 am

Post Posted August 20th, 2016, 10:01 pm

Hi,

I run TB 45.2 on Ubuntu 14.04 and 16.04 using a NAS to hold the .thunderbird message store. I only log in to one version at a time.

In 16.04 I get a message saying Lightning is not the correct version.

1) Can I update Lightning in 16.04 without causing problems in 14.04?

Many thanks,
David
Last edited by DanRaisch on August 21st, 2016, 4:04 am, edited 1 time in total.
Reason: "(Linux)" added to subject line.

tanstaafl
Moderator

User avatar
 
Posts: 44225
Joined: July 30th, 2003, 5:06 pm

Post Posted August 21st, 2016, 5:55 am

AFAIK it doesn't care what version of Linux you are using as long as you still have the required packages mentioned in https://www.mozilla.org/en-US/thunderbi ... uirements/ . You just need to use the appropriate version of Lightning for whatever version of Thunderbird that you are using.

daavid1
 
Posts: 15
Joined: May 28th, 2013, 12:15 am

Post Posted August 21st, 2016, 8:28 pm

Thanks tanstaafl,

Ubuntu 16.04 doesn't have hal (not in repositories).

According to TB I have Lighning 4.7 which is the correct version of Lightning for TB 45.2

Any ideas?

Best regards,
David

tanstaafl
Moderator

User avatar
 
Posts: 44225
Joined: July 30th, 2003, 5:06 pm

Post Posted August 21st, 2016, 9:22 pm

https://launchpad.net/ubuntu/+source/hal ? However, HAL is listed as optional. If Thunderbird works without Lightning than I'd assume you don't need that package.

Are you getting both Thunderbird and Lightning from the same source? i.e. get both from the repository or get both from the Mozilla web site .

daavid1
 
Posts: 15
Joined: May 28th, 2013, 12:15 am

Post Posted August 21st, 2016, 10:02 pm

TB is automatically installed when installing 14.04 and 16.04.

I did try that link (thanks) without luck. I note the version of that HAL is lower than TB specifies. But as you say, TB works without it.

TB works fine on both. Lightning 4.7 works fine in 14.04 but 16.04 doesn't like 4.7 from the 14.04 .thunderbird (the TB documentation says TB 45.2 should run Lightning 4.7.2 ??)

I tried a new install of 16.04 on another disk (without HAL) and opened TB OK on that. I installed Lightning 4.7 OK - and both worked.

So I tried the .thunderbird from my 14.04 install and it doesn't like the dependencies.

I have all the dependencies it requires except for HAL.

A screenshot can be found at http://i.imgur.com/H8w6vJm.png

Thanks for helping
David

tanstaafl
Moderator

User avatar
 
Posts: 44225
Joined: July 30th, 2003, 5:06 pm

Post Posted August 21st, 2016, 11:04 pm

https://developer.mozilla.org/en-US/doc ... r_Versions states you should use Lightning 4.7.2 with Thunderbird 45.2.0. Its not clear to me where you get 4.7.2 since https://developer.mozilla.org/en-US/doc ... e_Releases doesn't have a download link for it and 4.9b2 seems to be the next available version. I suggest you try the beta.

daavid1
 
Posts: 15
Joined: May 28th, 2013, 12:15 am

Post Posted August 22nd, 2016, 3:34 pm

L 4.9b2 won't install for TB 45.2 (Ubuntu 14.04) - not compatible.

I downloaded the lightning-4.7-sm+tb-linux.xpi and reinstalled it (hoping it would be 4.7.2).

The weird thing is that Ubuntu 16.04 installs the same versions of TB and Lightning without a problem.

It's important I get round this as I need to use the same message store on each Ubuntu 14.04 and 16.04.

David

tanstaafl
Moderator

User avatar
 
Posts: 44225
Joined: July 30th, 2003, 5:06 pm

Post Posted August 22nd, 2016, 5:15 pm

https://bbs.archlinux.org/viewtopic.php?id=93958 (3-27-2010) states HAL has been deprecated. Its been in maintenance mode the last 8 years.

Moved from the Thunderbird Support forum to the Calendar forum as that is where the Lightning experts are. Personally, I use the ReminderFox add-on instead (which can import a Lightning calendar) as my needs are minimal and it lets me avoid these types of problems.

daavid1
 
Posts: 15
Joined: May 28th, 2013, 12:15 am

Post Posted August 22nd, 2016, 7:38 pm

Thanks tanstaafl.

I think I've found a solution: a .thunderbird with Lightning installed on Ubuntu 16.04 seem to work OK in 14.04.

So if I can copy my messages and folder structure etc from an Ubuntu 14.04 .thunderbird and import them into a Ubuntu 16.04 TB then that new .thunderbird should work in Ubuntu 14.04 and 16.04

I'm not sure of the best way to copy everything though.

David

tanstaafl
Moderator

User avatar
 
Posts: 44225
Joined: July 30th, 2003, 5:06 pm

Post Posted August 22nd, 2016, 7:41 pm


daavid1
 
Posts: 15
Joined: May 28th, 2013, 12:15 am

Post Posted August 22nd, 2016, 10:10 pm

The issue is that Lightning will not work in Ubuntu 16.04 if the .thunderbird is on remote storage such as a NAS.

It works fine in Ubuntu 14.04 from the NAS.

Bug????

tanstaafl
Moderator

User avatar
 
Posts: 44225
Joined: July 30th, 2003, 5:06 pm

Post Posted August 22nd, 2016, 11:12 pm

I suggest you ask if this is a known problem at https://groups.google.com/forum/#!forum ... t.calendar . If you don't get a useful answer in a few days then I suggest you file a bug report at https://bugzilla.mozilla.org/ . If you do that please post the URL for the bug report.

It sounds like you are using the Mozilla build. You might also try installing the distro's Thunderbird package and its build of Lightning in another copy of the profile on the file share.

Return to Calendar


Who is online

Users browsing this forum: No registered users and 1 guest